- name: Add k8s GPG key
  rpm_key:
    key: https://packages.cloud.google.com/yum/doc/yum-key.gpg
    state: present

- name: Add k8s repo
  copy:
    src: kubernetes.repo
    dest: /etc/yum.repos.d/kubernetes.repo
    
- name: Install k8s
  shell: |
    yum install -y kubelet-{{ redhat_k8s_version }} && \
    yum install -y kubeadm-{{ redhat_k8s_version }} \
    kubectl-{{ redhat_k8s_version }}
  notify: start kubelet

- name: Ensures /etc/systemd/system/kubelet.service.d exists
  file: path=/etc/systemd/system/kubelet.service.d state=directory

- name: configure unsafe kubeadm.conf
  template:
    src: "{{ ansible_os_family }}_kubeadm.j2"
    dest: /etc/systemd/system/kubelet.service.d/10-kubeadm.conf
  notify: restart kubelet

- name: Create join master file
  shell: |
    cat << EOF > join.sh
    kubeadm join {{ master_vip }} --token {{ token }} --discovery-token-ca-cert-hash sha256:79d818e21167d2768fe1e0b7ccd7efbfb16239e20a179f7f54e1df70be74b9c1
    EOF
  # notify: restart sshd



